VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest:

## Avaliable Methods
public method | set_port ()
public method | get_port ()
public method | set_testhost ()
public method | set_password ()
public method | set_username ()
public method | get_protocol ()
public method | get_testhost ()
public method | get_password ()
public method | set_protocol ()
public method | get_server ()
public method | get_username ()
public method | new ()
public method | set_server ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest` class Structure that defines proxy configuration.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::get_password | ( |  | ) |

Gets the value of 'password' property.

Return values

  password | - The current value of the field. password for proxy server. Secret#

Code:
click to view
# Number of lines of code in get_password: 4
sub get_password {
my ($self, %args) = @_;
return $self->{'password'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::get_port | ( |  | ) |

Gets the value of 'port' property.

Return values

  port | - The current value of the field. port to connect to the proxy server on. A value of -1 indicates that the default port is being used. long#

Code:
click to view
# Number of lines of code in get_port: 4
sub get_port {
my ($self, %args) = @_;
return $self->{'port'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::get_protocol | ( |  | ) |

Gets the value of 'protocol' property.

Return values

  protocol | - The current value of the field. protocol being configured. ProxyProtocol#

Code:
click to view
# Number of lines of code in get_protocol: 4
sub get_protocol {
my ($self, %args) = @_;
return $self->{'protocol'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::get_server | ( |  | ) |

Gets the value of 'server' property.

Return values

  server | - The current value of the field. hostname or ip of proxy server String#

Code:
click to view
# Number of lines of code in get_server: 4
sub get_server {
my ($self, %args) = @_;
return $self->{'server'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::get_testhost | ( |  | ) |

Gets the value of 'testhost' property.

Return values

  testhost | - The current value of the field. Verify that a hostname (www.vmware.com) or IPv4 or Ipv6 address of the testhost is accessible through proxy. String#

Code:
click to view
# Number of lines of code in get_testhost: 4
sub get_testhost {
my ($self, %args) = @_;
return $self->{'testhost'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::get_username | ( |  | ) |

Gets the value of 'username' property.

Return values

  username | - The current value of the field. username for proxy server. String#

Code:
click to view
# Number of lines of code in get_username: 4
sub get_username {
my ($self, %args) = @_;
return $self->{'username'};
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{protocol} = $args{'protocol'};
$self->{server} = $args{'server'};
$self->{port} = $args{'port'};
$self->{username} = $args{'username'};
$self->{password} = $args{'password'};
$self->{testhost} = $args{'testhost'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.networking.proxy.proxy_config_test');
$self->set_binding_field('key' => 'protocol', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview::Networking', 'type_name' => 'Proxy::ProxyProtocol'));
$self->set_binding_field('key' => 'server', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'port', 'value' => new Com::Vmware::Vapi::Bindings::Type::LongType());
$self->set_binding_field('key' => 'username', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'password', 'value' => new Com::Vmware::Vapi::Bindings::Type::SecretType());
$self->set_binding_field('key' => 'testhost', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::set_password | ( |  | ) |

Sets the given value for 'password' property.

Parameters

  password | - New value for the field. password for proxy server.

Code:
click to view
# Number of lines of code in set_password: 5
sub set_password {
my ($self, %args) = @_;
$self->{'password'} = $args{'password'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::set_port | ( |  | ) |

Sets the given value for 'port' property.

Parameters

  port | - New value for the field. port to connect to the proxy server on. A value of -1 indicates that the default port is being used.

Code:
click to view
# Number of lines of code in set_port: 5
sub set_port {
my ($self, %args) = @_;
$self->{'port'} = $args{'port'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::set_protocol | ( |  | ) |

Sets the given value for 'protocol' property.

Parameters

  protocol | - New value for the field. protocol being configured.

Code:
click to view
# Number of lines of code in set_protocol: 5
sub set_protocol {
my ($self, %args) = @_;
$self->{'protocol'} = $args{'protocol'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::set_server | ( |  | ) |

Sets the given value for 'server' property.

Parameters

  server | - New value for the field. hostname or ip of proxy server

Code:
click to view
# Number of lines of code in set_server: 5
sub set_server {
my ($self, %args) = @_;
$self->{'server'} = $args{'server'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::set_testhost | ( |  | ) |

Sets the given value for 'testhost' property.

Parameters

  testhost | - New value for the field. Verify that a hostname (www.vmware.com) or IPv4 or Ipv6 address of the testhost is accessible through proxy.

Code:
click to view
# Number of lines of code in set_testhost: 5
sub set_testhost {
my ($self, %args) = @_;
$self->{'testhost'} = $args{'testhost'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Networking::Proxy::ProxyConfigTest::set_username | ( |  | ) |

Sets the given value for 'username' property.

Parameters

  username | - New value for the field. username for proxy server.

Code:
click to view
# Number of lines of code in set_username: 5
sub set_username {
my ($self, %args) = @_;
$self->{'username'} = $args{'username'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Networking/Proxy.pm